#pragma once
#include <map>
struct M_itemData
{
	//ID
	int mID;
	//物品名称
	std::string mname;
	//描述
	std::string mdesc;
	//类型
	int mtype;
	//品质
	int mquality;
	//图标
	std::string micon;
};

class M_item
{
public:
private:
	static std::auto_ptr<M_item> msSingleton;
public:
	int GetCount();
	const M_itemData* GetData(int ID);
	const std::map<int, M_itemData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_item* GetSingleton();
	static void Release();
private:
	std::map<int, M_itemData> mMapData;
};
